(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18166,        472]
NotebookOptionsPosition[     16877,        448]
NotebookOutlinePosition[     17273,        464]
CellTagsIndexPosition[     17230,        461]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
read supporting data (substitute a directory path for \
\[OpenCurlyDoubleQuote]PATH\[CloseCurlyDoubleQuote])\
\>", "Text",
 CellChangeTimes->{{3.790285722934781*^9, 3.790285733348094*^9}, {
  3.7902873645359297`*^9, 3.79028737518073*^9}, {3.79184235736123*^9, 
  3.791842377729484*^9}},
 Background->RGBColor[
  0.87, 0.94, 1],ExpressionUUID->"065c617c-5727-48e7-b921-0647c6ad9114"],

Cell[BoxData[{
 RowBox[{"<<", "PATH/defns.txt"}], "\n", 
 RowBox[{"<<", "PATH/quintic_defns.txt"}]}], "Input",
 CellChangeTimes->{{3.791842284470557*^9, 3.7918423076667223`*^9}, {
  3.817856619146874*^9, 
  3.817856619763092*^9}},ExpressionUUID->"33d86b9e-3900-47d7-9f7e-\
bf25764ae42d"],

Cell["31 - maps", "Text",
 CellChangeTimes->{{3.5729967227191*^9, 3.572996722903967*^9}, {
  3.641046576144916*^9, 3.641046590027164*^9}},
 Background->RGBColor[
  0.87, 0.94, 1],ExpressionUUID->"7bebd254-badc-4399-87ab-5a76bc7de562"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f31fam", "=", 
    RowBox[{
     RowBox[{"a", "*", "Hh", "*", "phi"}], "+", 
     RowBox[{"b", "*", "Fh", "*", "eta"}]}]}], ";"}], 
  "  "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"family", " ", "of", " ", "31"}], "-", "maps"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.643032827231718*^9, 3.6430328831847353`*^9}, {
   3.643033006446096*^9, 3.6430330211028757`*^9}, {3.643047853822722*^9, 
   3.643047855545515*^9}, {3.789085062178591*^9, 3.7890850854184513`*^9}, {
   3.789085115609321*^9, 3.789085116617941*^9}, 3.7902845856305313`*^9},
 CellLabel->
  "In[1281]:=",ExpressionUUID->"86bc7b71-4863-4050-bfa3-63b6a61513ed"],

Cell[BoxData[
 RowBox[{"f31famjacdet", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "31"}], ")"}], "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"diff", "[", 
        RowBox[{"f31fam", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "//", "ta"}], "//", 
      "Det"}], ")"}]}], "//", "fs", "  ", 
   RowBox[{"(*", " ", 
    RowBox[{
    "critical", " ", "ploynomial", " ", "in", " ", "base", " ", "space", " ", 
     "coordinates", " ", 
     RowBox[{"(", 
      RowBox[{"x", ",", "y"}], ")"}], " ", "and", " ", "parameters", " ", 
     RowBox[{"(", 
      RowBox[{"a", ",", "b"}], ")"}]}], " ", "*)"}], " "}]}]], "Input",
 CellChangeTimes->{{3.6430328932235327`*^9, 3.643032962155249*^9}, {
  3.6430329995059566`*^9, 3.643033027768345*^9}, {3.643033075969121*^9, 
  3.64303307644693*^9}, {3.6430366822232857`*^9, 3.643036686842263*^9}, {
  3.643045125537086*^9, 3.643045129308929*^9}, {3.643045172423773*^9, 
  3.643045211134251*^9}, {3.643047860533647*^9, 3.6430478734818277`*^9}, {
  3.789085119356635*^9, 3.789085163144024*^9}, {3.790194551655409*^9, 
  3.790194558911894*^9}, {3.817850410268878*^9, 3.8178504145252857`*^9}},
 CellLabel->
  "In[1282]:=",ExpressionUUID->"fff0d592-b15b-45cb-9ccc-0467e1961378"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"elimvar", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invar", "=", 
   RowBox[{"{", 
    RowBox[{"X", ",", "Y"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"f31famjacdetq", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"genExpress", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{"f31famjacdet", ",", 
           RowBox[{
            RowBox[{"a", "^", "i"}], "*", 
            RowBox[{"b", "^", 
             RowBox[{"(", 
              RowBox[{"2", "-", "i"}], ")"}]}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Fh", "^", "5"}], ",", 
           RowBox[{"Hh", "^", "3"}]}], "}"}], ",", "invar", ",", "elimvar"}], 
        "\[IndentingNewLine]", "]"}], "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}], ".", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "^", "i"}], "*", 
        RowBox[{"b", "^", 
         RowBox[{"(", 
          RowBox[{"2", "-", "i"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "//", "fe"}]}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "express", " ", "the", " ", "critical", " ", "polynomial", " ", "in", " ", 
    "quotient", " ", "coordinates", " ", 
    RowBox[{"(", 
     RowBox[{"X", ",", "Y"}], ")"}], " ", "and", " ", "parameters", " ", 
    RowBox[{"(", 
     RowBox[{"a", ",", "b"}], ")"}]}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.78908485838343*^9, 3.7890848585831413`*^9}, {
  3.7890851784494467`*^9, 3.789085185887445*^9}, {3.790194259545204*^9, 
  3.790194277409165*^9}, {3.79019432282304*^9, 3.7901943330804653`*^9}, {
  3.7901944024582777`*^9, 3.7901944620785017`*^9}, {3.790194511499639*^9, 
  3.790194511755547*^9}, {3.7901945714487743`*^9, 3.790194578601531*^9}},
 CellLabel->
  "In[1283]:=",ExpressionUUID->"57ee4188-3c4c-4ba2-ad76-0ab2e9b43f1c"],

Cell[BoxData[{
 RowBox[{"f31famqcritparam", "=", 
  RowBox[{
   RowBox[{"crossfunc", "[", 
    RowBox[{
     RowBox[{"{", "f31famjacdetq", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y"}], "}"}]}], "]"}], "//", 
   "fe"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"funcEval", "[", 
   RowBox[{"f31famjacdetq", ",", 
    RowBox[{"{", 
     RowBox[{"X", ",", "Y"}], "}"}], ",", "f31famqcritparam"}], "]"}], "//", 
  "ta"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "parametrize", " ", "the", " ", "critical", " ", "set", " ", "in", " ", 
    "the", " ", "quotient", " ", "space", " ", "and", " ", "verify"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6430448924733143`*^9, 3.643044937733776*^9}, {
  3.6430478848011723`*^9, 3.643047889526359*^9}, {3.64374042813913*^9, 
  3.643740428899311*^9}, {3.790194471201256*^9, 3.790194516955688*^9}, {
  3.790194598867209*^9, 3.7901946092842073`*^9}, {3.7901962805921373`*^9, 
  3.790196288636264*^9}, {3.790196371842146*^9, 3.79019637893426*^9}, {
  3.79028162411652*^9, 3.7902816246299677`*^9}},
 CellLabel->"",ExpressionUUID->"e1516415-25ed-4eca-b84a-e75fb085d596"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"elimvar", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ff", "=", 
   RowBox[{"funcEval", "[", 
    RowBox[{"Fh", ",", "elimvar", ",", "f31fam"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gen", "=", 
   RowBox[{"{", 
    RowBox[{"Fh", ",", "Hh"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invar", "=", 
   RowBox[{"{", 
    RowBox[{"X", ",", "Y"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fdeg", "=", "12"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f31famFq0", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"genExpress", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"ff", ",", 
             RowBox[{
              RowBox[{"a", "^", "i"}], "*", 
              RowBox[{"b", "^", 
               RowBox[{"(", 
                RowBox[{"fdeg", "-", "i"}], ")"}]}]}]}], "]"}], "//", "ta"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Fh", ",", "Hh"}], "}"}], ",", "invar", ",", "elimvar"}], 
         "\[IndentingNewLine]", "]"}], "//", "fe"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "fdeg"}], "}"}]}], "]"}], ".", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "^", "i"}], "*", 
        RowBox[{"b", "^", 
         RowBox[{"(", 
          RowBox[{"fdeg", "-", "i"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "fdeg"}], "}"}]}], "]"}]}], "//", 
    "fe"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f31famFq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"f31famFq0", "^", "5"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"X", "\[Rule]", 
       RowBox[{"X", "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "5"}], ")"}]}]}], ",", 
      RowBox[{"Y", "\[Rule]", 
       RowBox[{"Y", "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}]}], "}"}]}], "//", 
   "fe"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"express", " ", "the", " ", 
      RowBox[{"(", 
       RowBox[{"a", ",", "b"}], ")"}]}], "-", 
     RowBox[{"parametrized", " ", "degree"}], "-", 
     RowBox[{
     "12", " ", "invariant", " ", "in", " ", "quotient", " ", "coordinates", 
      " ", 
      RowBox[{"(", 
       RowBox[{"X", ",", "Y"}], ")"}]}]}], ";", " ", 
    RowBox[{
     RowBox[{"can", " ", "be", " ", "a", " ", "long", " ", "run"}], "-", 
     "time"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5723809347925243`*^9, 3.572380960614997*^9}, {
   3.572382167256913*^9, 3.572382188410981*^9}, {3.572382479939904*^9, 
   3.572382497622798*^9}, {3.5723826144568033`*^9, 3.572382620797711*^9}, {
   3.572382655120721*^9, 3.572382658787366*^9}, {3.572382805146806*^9, 
   3.572382807349804*^9}, {3.572383073908499*^9, 3.572383076145933*^9}, {
   3.572383244070985*^9, 3.572383252919076*^9}, {3.572383358314019*^9, 
   3.572383391746305*^9}, {3.572383442602038*^9, 3.572383551517158*^9}, {
   3.572393452038871*^9, 3.5723934571148367`*^9}, {3.57239352701539*^9, 
   3.572393527851548*^9}, {3.572485058372038*^9, 3.572485071372383*^9}, {
   3.643048631615343*^9, 3.643048632156074*^9}, {3.6430488069980307`*^9, 
   3.643048809448236*^9}, 3.790196794730406*^9, {3.7902816352073936`*^9, 
   3.790281648674128*^9}, 3.8178566783027163`*^9, {3.817856715787203*^9, 
   3.817856736497767*^9}},ExpressionUUID->"03303974-7a51-4a82-8a1e-\
64a9779eae65"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"elimvar", "=", 
   RowBox[{"{", 
    RowBox[{"x", ",", "y"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ff", "=", 
   RowBox[{"funcEval", "[", 
    RowBox[{"Hh", ",", "elimvar", ",", "f31fam"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"gen", "=", 
   RowBox[{"{", 
    RowBox[{"Fh", ",", "Hh"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"invar", "=", 
   RowBox[{"{", 
    RowBox[{"X", ",", "Y"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fdeg", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"f31famHq0", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Table", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"genExpress", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{"ff", ",", 
             RowBox[{
              RowBox[{"a", "^", "i"}], "*", 
              RowBox[{"b", "^", 
               RowBox[{"(", 
                RowBox[{"fdeg", "-", "i"}], ")"}]}]}]}], "]"}], "//", "ta"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"Fh", ",", "Hh"}], "}"}], ",", "invar", ",", "elimvar"}], 
         "\[IndentingNewLine]", "]"}], "//", "fe"}], "\[IndentingNewLine]", 
       ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "fdeg"}], "}"}]}], "]"}], ".", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"a", "^", "i"}], "*", 
        RowBox[{"b", "^", 
         RowBox[{"(", 
          RowBox[{"fdeg", "-", "i"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", "fdeg"}], "}"}]}], "]"}]}], "//", 
    "fe"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"f31famHq", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"f31famHq0", "^", "3"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"X", "\[Rule]", 
       RowBox[{"X", "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "5"}], ")"}]}]}], ",", 
      RowBox[{"Y", "\[Rule]", 
       RowBox[{"Y", "^", 
        RowBox[{"(", 
         RowBox[{"1", "/", "3"}], ")"}]}]}]}], "}"}]}], "//", 
   "fe"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"express", " ", "the", " ", 
      RowBox[{"(", 
       RowBox[{"a", ",", "b"}], ")"}]}], "-", 
     RowBox[{"parametrized", " ", "degree"}], "-", 
     RowBox[{
     "20", " ", "invariant", " ", "in", " ", "quotient", " ", "coordinates", 
      " ", 
      RowBox[{"(", 
       RowBox[{"X", ",", "Y"}], ")"}]}]}], ";", " ", 
    RowBox[{
     RowBox[{"can", " ", "be", " ", "a", " ", "long", " ", "run"}], "-", 
     "time"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.5723809347925243`*^9, 3.572380960614997*^9}, {
   3.572382167256913*^9, 3.572382188410981*^9}, {3.572382479939904*^9, 
   3.572382497622798*^9}, {3.5723826144568033`*^9, 3.572382620797711*^9}, {
   3.572382655120721*^9, 3.572382658787366*^9}, {3.572382805146806*^9, 
   3.572382807349804*^9}, {3.572383073908499*^9, 3.572383076145933*^9}, {
   3.572383244070985*^9, 3.572383252919076*^9}, {3.572383358314019*^9, 
   3.572383391746305*^9}, {3.572383442602038*^9, 3.572383551517158*^9}, {
   3.572393452038871*^9, 3.5723934571148367`*^9}, {3.57239352701539*^9, 
   3.572393527851548*^9}, {3.572485058372038*^9, 3.572485071372383*^9}, {
   3.643048631615343*^9, 3.643048632156074*^9}, {3.6430488069980307`*^9, 
   3.643048809448236*^9}, {3.643051145072554*^9, 3.6430511455898867`*^9}, {
   3.7902817007174664`*^9, 3.7902817109081078`*^9}, 3.81785666021662*^9, {
   3.81785676924753*^9, 
   3.8178567733430433`*^9}},ExpressionUUID->"dacb2106-0010-46dc-88d2-\
9266ea90bfc0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f31famq", "=", 
   RowBox[{"{", 
    RowBox[{"f31famFq", ",", "f31famHq"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"the", " ", 
     RowBox[{"(", 
      RowBox[{"a", ",", "b"}], ")"}]}], "-", 
    RowBox[{"parametrized", " ", "family", " ", "of", " ", "31"}], "-", 
    RowBox[{"maps", " ", "in", " ", "quotient", " ", "coordinates"}]}], " ", 
   "*)"}], " "}]}], "Input",
 CellChangeTimes->{{3.643468854356675*^9, 3.6434688650026903`*^9}, {
  3.6434689099217987`*^9, 3.643468933481874*^9}, {3.643468969420525*^9, 
  3.643468970788294*^9}, {3.790281737499228*^9, 3.7902818116666937`*^9}},
 CellLabel->
  "In[1302]:=",ExpressionUUID->"e5c06968-68f0-46ac-893e-1d2c2a8cc1bd"],

Cell[BoxData[{
 RowBox[{"f31famqcritfixcond", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
      "1", "/", 
       "1656964035508847739206580205191624883731132686019644620800000000000000\
000000000000000000000000000000000000"}], " ", ")"}], "*", 
     RowBox[{"Det", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"funcEval", "[", 
          RowBox[{"f31famq", ",", 
           RowBox[{"{", 
            RowBox[{"X", ",", "Y"}], "}"}], ",", "f31famqcritparam"}], "]"}], 
         "//", "ta"}], ",", "f31famqcritparam"}], "}"}], "]"}]}], "//", 
    "ta"}], "//", "fe"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "determinant", " ", "condition", " ", "for", " ", "fixing", " ", "the", 
      " ", "critical", " ", "point", " ", "in", " ", "the", " ", "quotient", 
      " ", "space"}], ";", " ", 
     RowBox[{"in", " ", "the", " ", "base", " ", "space"}]}], ",", " ", 
    RowBox[{
    "satisfying", " ", "this", " ", "condition", " ", "results", " ", "in", 
     " ", "the", " ", "setwise", " ", "fixing", " ", "of", " ", "the", " ", 
     "critical", " ", "points"}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.643478284859336*^9, 3.643478350086233*^9}, {
  3.643478424637515*^9, 3.643478450139936*^9}, {3.643478807841468*^9, 
  3.6434788119726543`*^9}, {3.643740394754685*^9, 3.64374039650921*^9}, {
  3.790281872247943*^9, 3.790281972288465*^9}, {3.817850768489231*^9, 
  3.817850772008978*^9}, {3.81785082049802*^9, 3.81785082741803*^9}, {
  3.8178508603703537`*^9, 3.81785087015469*^9}, {3.817850900850668*^9, 
  3.817850925571341*^9}, {3.8178511371583023`*^9, 3.8178512162795067`*^9}, {
  3.817851294416667*^9, 3.817851317416835*^9}},
 CellLabel->
  "In[1303]:=",ExpressionUUID->"d59db0cb-1255-4b43-a5ad-aab2f0c2bbd4"]
},
WindowSize->{960.75, 594.},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"12.2 for Linux x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a09d3d69-174a-4d03-8682-bfd974667c19"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 392, 8, 51, "Text",ExpressionUUID->"065c617c-5727-48e7-b921-0647c6ad9114"],
Cell[953, 30, 287, 6, 51, "Input",ExpressionUUID->"33d86b9e-3900-47d7-9f7e-bf25764ae42d"],
Cell[1243, 38, 234, 4, 51, "Text",ExpressionUUID->"7bebd254-badc-4399-87ab-5a76bc7de562"],
Cell[1480, 44, 719, 18, 51, "Input",ExpressionUUID->"86bc7b71-4863-4050-bfa3-63b6a61513ed"],
Cell[2202, 64, 1292, 30, 51, "Input",ExpressionUUID->"fff0d592-b15b-45cb-9ccc-0467e1961378"],
Cell[3497, 96, 2198, 57, 216, "Input",ExpressionUUID->"57ee4188-3c4c-4ba2-ad76-0ab2e9b43f1c"],
Cell[5698, 155, 1165, 27, 71, "Input",ExpressionUUID->"e1516415-25ed-4eca-b84a-e75fb085d596"],
Cell[6866, 184, 3674, 97, 298, "Input",ExpressionUUID->"03303974-7a51-4a82-8a1e-64a9779eae65"],
Cell[10543, 283, 3704, 98, 298, "Input",ExpressionUUID->"dacb2106-0010-46dc-88d2-9266ea90bfc0"],
Cell[14250, 383, 768, 19, 51, "Input",ExpressionUUID->"e5c06968-68f0-46ac-893e-1d2c2a8cc1bd"],
Cell[15021, 404, 1852, 42, 133, "Input",ExpressionUUID->"d59db0cb-1255-4b43-a5ad-aab2f0c2bbd4"]
}
]
*)

